summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-arch/cpio/cpio-2.11.ebuild')
-rw-r--r--app-arch/cpio/cpio-2.11.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/app-arch/cpio/cpio-2.11.ebuild b/app-arch/cpio/cpio-2.11.ebuild
new file mode 100644
index 000000000000..07d3e2f74d69
--- /dev/null
+++ b/app-arch/cpio/cpio-2.11.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="A file archival tool which can also read and write tar files"
+HOMEPAGE="http://www.gnu.org/software/cpio/cpio.html"
+SRC_URI="mirror://gnu/cpio/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="nls"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-stat.patch #328531
+ epatch "${FILESDIR}"/${P}-no-gets.patch #424974
+}
+
+src_configure() {
+ econf \
+ $(use_enable nls) \
+ --bindir=/bin \
+ --with-rmt=/usr/sbin/rmt
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc ChangeLog NEWS README
+ rm "${D}"/usr/share/man/man1/mt.1 || die
+ rmdir "${D}"/usr/libexec || die
+}